package com.altinity.opsview.odw;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.FileSystemResource;
import org.springframework.core.io.Resource;


public class SpringLoader {
	
	/**
	 * 
	 */
	public static ODWReportGenerator loadConfig(String fileName) {
		
		XmlBeanFactory factory = null;
		try {
	
			System.out.println("Loading config...");
			
			Resource is = new FileSystemResource(fileName);
			factory = new XmlBeanFactory(is);
			
			System.out.println("Config loaded");
		}
		catch(Exception e) {
			throw new RuntimeException("Error in SpringLoader.loadConfig", e);
		}
		
		return (ODWReportGenerator)factory.getBean("odwReportGenerator");
	}
}
