package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */


public class AvailabilityModel {

	private double averageAvailablility = 0;
	private double scheduledDowntime = 0;
	private double unscheduledDowntime = 0;
	//private String selection = "";
	private String year= "";
	private String week= "";
	private HostGroup hostGroup;

	
	/**
	 * @return
	 */
	public double getAverageAvailablility() {
		return averageAvailablility;
	}
	
	/**
	 * @param averageAvailablility
	 */
	public void setAverageAvailablility(double averageAvailablility) {
		this.averageAvailablility = averageAvailablility;
	}
	
	/**
	 * @return
	 */
	public double getScheduledDowntime() {
		return scheduledDowntime;
	}
	
	/**
	 * @param scheduledDowntime
	 */
	public void setScheduledDowntime(double scheduledDowntime) {
		this.scheduledDowntime = scheduledDowntime;
	}
	
	/**
	 * @return
	 */
	public double getUnscheduledDowntime() {
		return unscheduledDowntime;
	}
	
	/**
	 * @param unscheduledDowntime
	 */
	public void setUnscheduledDowntime(double unscheduledDowntime) {
		this.unscheduledDowntime = unscheduledDowntime;
	}
	
	/**
	 * 
	 */
	public String getHostGroupName() {
		return hostGroup.getName();
	}
	
	/**
	 * 
	 */
	public String getWeek() {
		return week;
	}
	
	/**
	 * 
	 */
	public void setWeek(String week) {
		this.week = week;
	}
	
	/**
	 * 
	 */
	public String getYear() {
		return year;
	}	
	
	/**
	 * 
	 */
	public void setYear(String year) {
		this.year = year;
	}
	
	
	/**
	 * 
	 */
	public boolean isPerfect(){
		return scheduledDowntime == 0 && unscheduledDowntime == 0;
	}
	
	/**
	 * 
	 */
	public boolean isValid() {
		return !(averageAvailablility == 0 
				&& scheduledDowntime == 0
				&& unscheduledDowntime == 0);
	}

	/**
	 * 
	 */
	public HostGroup getHostGroup() {
		return hostGroup;
	}

	/**
	 * 
	 */
	public void setHostGroup(HostGroup hostGroup) {
		this.hostGroup = hostGroup;
	}	
}
