package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ChartData {

	private String hostName;
	private String serviceCheckName;
	private List <StateHistoryDisplay> stateHistory;
	private Map <Integer, StateHistoryBreakdown> breakdownsByType = 
		new HashMap<Integer, StateHistoryBreakdown>();
	
	/**
	 * 
	 */
	public ChartData(String hostName, String serviceCheckName) {
		this.hostName = hostName;
		this.serviceCheckName = serviceCheckName;
	}
	
	/**
	 * 
	 */
	public void setStateHistory(List <StateHistoryDisplay> stateHistory) {
		this.stateHistory = stateHistory;
	}
	
	/**
	 * 
	 */
	public List <StateHistoryDisplay> getStateHistory() {
		return stateHistory;
	}
	
	/**
	 * 
	 */
	public void setBreakdownForType(Integer type, StateHistoryBreakdown breakdown) {
		breakdownsByType.put(type, breakdown);
	}
	
	/**
	 * 
	 */
	public StateHistoryBreakdown getBreakdownForType(Integer type) {
		StateHistoryBreakdown breakdown = breakdownsByType.get(type);
		if ( breakdown == null ) {
			breakdown = new StateHistoryBreakdown();
			breakdownsByType.put(type, breakdown);
		}
		return breakdown;
	}

	/**
	 * 
	 */
	public void setBreakdownsByType(Map<Integer, StateHistoryBreakdown> breakdownsByType) {
		this.breakdownsByType = breakdownsByType;
	}

	/**
	 * 
	 */
	public String getHostName() {
		return hostName;
	}

	/**
	 * 
	 */
	public String getServiceCheckName() {
		return serviceCheckName;
	}
	
 
}
