package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import com.altinity.opsview.odw.bc.ODWReportBC;
import com.excira.utils.DateUtils;

public class StateHistoryDisplay {
	
	private String date = "";
	private int status;
	private boolean virgin = true;
	
	public long getLongDate(){
		return DateUtils.parse(date).getTime();
	}
	
	/**
	 * 
	 */
	public String getDate() {
		return date;
	}
	
	/**
	 * 
	 */
	public void setDate(String date) {
		this.date = date;
		virgin = false;
	}
	
	/**
	 * 
	 */
	public int getStatus() {
		return status;
	}
	
	/**
	 * 
	 */
	public void setStatus(int status) {
		this.status = status;
	}

	/**
	 * 
	 */
	public int getStatusOK() {
		if ( status == ODWReportBC.OK )
			return status;
		
		return 0;
	}
	
	/**
	 * 
	 */
	public int getStatusWarning() {
		if ( status == ODWReportBC.WARNING )
			return status;
		
		return 0;
	}
	
	/**
	 * 
	 */
	public int getStatusUnknown() {
		if ( status == ODWReportBC.UNKNOWN )
			return status;
		
		return 0;
	}
	
	/**
	 * 
	 */
	public int getStatusCritical() {
		if ( status == ODWReportBC.CRITICAL )
			return status;
		
		return 0;
	}
	
	/**
	 * 
	 */
	public String toString() {
		return date + ":" + status;
	}

	/**
	 * 
	 */
	public boolean isVirgin() {
		return virgin;
	}

	/**
	 * 
	 */
	public void setVirgin(boolean virgin) {
		this.virgin = virgin;
	}

}
