package com.excira.jfreechart;


/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

public class BarData {

	private double value;
	private Comparable rowKey;
	private Comparable columnKey;
	
	/**
	 * 
	 */
	public BarData(double value, Comparable rowKey, Comparable columnKey) {
		
		this.value = value;
		this.rowKey = rowKey;
		this.columnKey = columnKey;
	}

	/**
	 * @return Returns the columnKey.
	 */
	public Comparable getColumnKey() {
		return columnKey;
	}

	/**
	 * @return Returns the rowKey.
	 */
	public Comparable getRowKey() {
		return rowKey;
	}

	/**
	 * @return Returns the value.
	 */
	public double getValue() {
		return value;
	}
	
	/**
	 * 
	 */
	public String toString() {
		
		StringBuffer sb = new StringBuffer();
		sb.append("[");
		sb.append(rowKey.toString());
		sb.append(" ");
		sb.append(columnKey.toString());
		sb.append(" ");
		sb.append(value);
		sb.append("]");
		
		return sb.toString();
	}
}
